Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.graphicLoader.netmap
Class NetMapEvent

    java.lang.Object
      com.bbn.openmap.graphicLoader.netmap.NetMapEvent

public class NetMapEvent
extends java.lang.Object

Event that represents a status update from a NetMap server. The NetMap output is provided in lines that contain a bunch of fields. The line is parsed, with each token interpreted by the NetMapReader and put into a Properties object. The NetMapEvent can be examined to get fields - the field names are listed in the NetMapConstants interface, you can quiery for a field and use it if it's there.

Field Summary
`protected java.util.Properties` | `properties`
`protected java.lang.Object` | `source`

Constructor Summary
`NetMapEvent(java.lang.Object source, java.util.Properties eventProps)`

Method Summary
`java.util.Properties` | `getProperties()`
`java.lang.Object` | `getSource()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected java.util.Properties properties

### source

    protected java.lang.Object source

Constructor Detail

### NetMapEvent

    public NetMapEvent(java.lang.Object source,
                       java.util.Properties eventProps)

Method Detail

### getProperties

    public java.util.Properties getProperties()

### getSource

    public java.lang.Object getSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details